# Update the caller's preferences. (/docs/reference/Rest-API/api-docs/authentication/updateMyPreferences)


{/* This file was generated by Fumadocs. Do not edit this file directly. Any changes should be made by running the generation command again. */}

## PATCH /v2/users/me/preferences

`PATCH https://api.verdocs.com/v2/users/me/preferences`

### Request body

Content type `application/json`, required. Body Parameters.

- `template_builder` (string): The template builder to show. Set to null to reset to the default, `verdocs-build`. One of: `"build"`, `"builder"`.

### Responses

#### 200: Success

Content type `application/json`.

Type: `IUserPreferences`

Verdocs apps read the keys listed here. Your own apps may store others.

- `template_builder` (string): The template builder to show:.

#### 400: Request Error

Content type `application/json`.

- `status` (string, required): Always set to "ERROR". One of: `"ERROR"`.
- `error` (string, required): Description of the error that occurred.

#### 401: Access Denied

Content type `application/json`.

- `status` (string, required): Always set to "ERROR". One of: `"ERROR"`.
- `error` (string, required): Description of the error that occurred.

#### 404: Not Found

Content type `application/json`.

- `status` (string, required): Always set to "ERROR". One of: `"ERROR"`.
- `error` (string, required): Description of the error that occurred.

#### 406: Invalid Parameter

Content type `application/json`.

- `status` (string, required): Always set to "ERROR". One of: `"ERROR"`.
- `error` (string, required): Description of the error that occurred.

### Example request

```bash
curl -X PATCH "https://api.verdocs.com/v2/users/me/preferences" \
    -H "Authorization: Bearer ACCESS_TOKEN" \
    -H "content-type: application/json" \
    -d '{"param": "value"}'
```
